> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Subscription

Enrolls an Account to a Subscription. Once
enrolled, the Subscription name and details will be present
on the response object.

## Path Parameters

## Body

## Returns

Returns a Subscription object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "enroll": "update"
  }'
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .subscriptions
  .create('update');
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .subscriptions
  .create('update')
```

```json theme={null}
{
"id": "sub_P8c4bjj6xajxF",
"name": "update",
"status": "active",
"payload": null,
"latest_request_id": "upt_TXDTR7Amyz7Az",
"created_at": "2024-04-10T22:14:21.951Z",
"updated_at": "2024-04-10T22:14:21.951Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.